%global __provides_exclude_from ^%{_libdir}/sinfo/.*$
%global privlibs libmessage
%global privlibs %{privlibs}|libprotocol
%global privlibs %{privlibs}|libmessageio
%global privlibs %{privlibs}|libmessageiobase
%global privlibs %{privlibs}|libprotocolasio
%global privlibs %{privlibs}|libmessageparser
%global privlibs %{privlibs}|librpc
%global privlibs %{privlibs}|libsinfometer-0.0.48
%global privlibs %{privlibs}|libsinfotypes-0.0.48
%global __requires_exclude ^(%{privlibs})\\.so\\.*

Name: sinfo
Version: 0.0.48
Release: 9%{?dist}
Summary: Show an overview of the available computers an their current load

Group: Applications/Internet
License: GPLv2+	
URL: http://www.ant.uni-bremen.de/whomes/rinas/sinfo
Source0: http://www.ant.uni-bremen.de/whomes/rinas/%{name}/download/%{name}-%{version}.tar.gz
BuildRequires: asio-devel
BuildRequires: boost-devel
BuildRequires: ncurses-devel

%description
Monitoring tool that allow networked computers to broadcast 
status information about each computer on your local network.
     
%prep
%setup -q 
iconv -f iso8859-1 -t utf-8 README > README.conv && mv -f README.conv README

%build
%configure --with-boost-libdir=%{_libdir}
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%files
%doc README ChangeLog AUTHORS COPYING
%{_bindir}/%{name}
%{_bindir}/sshallsinfo
%{_sbindir}/sinfod
%{_mandir}/man8/sinfod.8*
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/sshallsinfo.1*
%dir %{_libdir}/%{name}/
%{_libdir}/%{name}/*.so*

%changelog
* Fri Jan 15 2016 Jonathan Wakely <jwakely@redhat.com> - 0.0.48-9
- Rebuilt for Boost 1.60

* Thu Aug 27 2015 Jonathan Wakely <jwakely@redhat.com> - 0.0.48-8
- Rebuilt for Boost 1.59

* Wed Jul 29 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.48-7
- Rebuilt for https://fedoraproject.org/wiki/Changes/F23Boost159

* Wed Jul 22 2015 David Tardon <dtardon@redhat.com> - 0.0.48-6
- rebuild for Boost 1.58

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.48-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.0.48-4
- Rebuilt for GCC 5 C++11 ABI change

* Mon Jan 26 2015 Petr Machata <pmachata@redhat.com> - 0.0.48-3
- Rebuild for boost 1.57.0

* Tue Jan 06 2015 Dan Horák <dan[at]danny.cz> - 0.0.48-2
- workaround Boost detection for ppc64le until buildsys is refreshed from latest autoconf-archive
- clean whitespaces at line ends

* Fri Jan 02 2015 Eduardo Echeverria  <echevemaster@gmail.com> - 0.0.48-1
- no needed sinfo-0.0.47-boost_mt.patch anymore
- updated to 0.0.48 version
  * removed some warnings from newer g++s
  * changed configure to locate boost by AX_BOOST_BASE
  * many changes to make cppcheck more happy
  * updated for newer boost libraries i.e. no -mt any more
  * removed bashisms in scripts

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.47-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.47-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 23 2014 David Tardon <dtardon@redhat.com> - 0.0.47-6
- rebuild for boost 1.55.0

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.47-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jul 27 2013 Petr Machata <pmachata@redhat.com> - 0.0.47-4
- Rebuild for boost 1.54.0
- Boost.Signal and Boost.System DSO's do not include -mt suffix
  anymore (sinfo-0.0.47-boost_mt.patch).

* Thu Jun 6 2013 Kiara Navarro <sophiekovalevsky@fedoraproject.org> - 0.0.47-3
- New Release Version. Added COPYING. Changed License. Filter requires and provides.

* Mon Sep 24 2012 Kiara Navarro <sophiekovalevsky@fedoraproject.org> - 0.0.47-2
- fix BZ 785462 comment 6

* Wed Sep 19 2012 Kiara Navarro <sophiekovalevsky@fedoraproject.org> - 0.0.47-1
- New Release Version

* Thu Jan 12 2012 Kiara Navarro <sophiekovalevsky@fedoraproject.org> - 0.0.44-2
- Added README ChangeLog AUTHORS

* Sat Dec 31 2011 Kiara Navarro <sophiekovalevsky@fedoraproject.org> - 0.0.44-1
- Initial Import
